val reactorGlass = <item:bfr:reactor_glass>;
val reactorFrame = <item:bfr:fusion_reactor_frame>;
val reactorController = <item:bfr:fusion_reactor_controller>;
val reactorPort = <item:bfr:fusion_reactor_port>;
val reactorLogic = <item:bfr:fusion_reactor_logic_adapter>;

val ultimateAlloy = <tag:items:forge:alloys/ultimate>;
val poloniumPellet = <tag:items:forge:pellets/polonium>;
val steelCasing = <item:mekanism:steel_casing>;
val ultimateCircuit = <tag:items:forge:circuits/ultimate>;
val glassPane = <tag:items:forge:glass_panes>;
val basicTank = <item:mekanism:basic_chemical_tank>;
val glass = <tag:items:forge:glass>;
val leadIngot = <tag:items:forge:ingots/lead>;
val enrichedIron = <item:mekanism:enriched_iron>;
val redstoneDust = <tag:items:forge:dusts/redstone>;

val blank = <item:minecraft:air>;

craftingTable.addShaped("bfr_reactor_glass_fix", reactorGlass*4, [
	[enrichedIron, leadIngot, enrichedIron],
	[  leadIngot,    glass,     leadIngot ],
	[enrichedIron, leadIngot, enrichedIron]
]);

craftingTable.addShaped("bfr_reactor_frame_fix", reactorFrame*4, [
	[ultimateAlloy, poloniumPellet, ultimateAlloy],
	[poloniumPellet,  steelCasing, poloniumPellet],
	[ultimateAlloy, poloniumPellet, ultimateAlloy]
]);

craftingTable.addShaped("bfr_reactor_controller_fix", reactorController, [
	[ultimateCircuit, glassPane, ultimateCircuit],
	[ reactorFrame,   basicTank,   reactorFrame ],
	[ reactorFrame,  reactorFrame, reactorFrame ]
]);

craftingTable.addShaped("bfr_reactor_port_fix", reactorPort*2, [
	[    blank,     reactorFrame,      blank    ],
	[reactorFrame, ultimateCircuit, reactorFrame],
	[    blank,     reactorFrame,      blank    ]
]);

craftingTable.addShaped("bfr_reactor_logic_fix", reactorLogic, [
	[    blank,    redstoneDust,    blank    ],
	[redstoneDust, reactorFrame, redstoneDust],
	[    blank,    redstoneDust,    blank    ]
]);

// Script written by FoxMcloud5655